package gp_dbc.proxy;

import cpw.mods.fml.common.FMLCommonHandler;
import cpw.mods.fml.common.event.FMLInitializationEvent;
import cpw.mods.fml.common.event.FMLPostInitializationEvent;
import cpw.mods.fml.common.event.FMLPreInitializationEvent;
import cpw.mods.fml.common.network.NetworkRegistry;
import cpw.mods.fml.common.network.simpleimpl.SimpleNetworkWrapper;
import cpw.mods.fml.relauncher.Side;
import gp_dbc.Main;
import gp_dbc.network.client.NetworkDeleteItemC;
import gp_dbc.network.client.NetworkHandcuffedC;
import gp_dbc.network.client.NetworkJailManagerC;
import gp_dbc.network.server.NetworkJailManager;
import gp_dbc.network.server.NetworkKeyManage;
import gp_dbc.system.Handcuff;
import gp_dbc.utils.InputUtils;
import net.minecraftforge.common.MinecraftForge;

public class CommonProxy {

    public static SimpleNetworkWrapper network;
    
    public void preInit(FMLPreInitializationEvent $e) {

        FMLCommonHandler.instance().bus().register(new InputUtils());

        network = NetworkRegistry.INSTANCE.newSimpleChannel(Main.MODID + "_1");

        int i = 0;

        // Server to Client
        network.registerMessage(NetworkHandcuffedC.MyMessageHandlerC.class, NetworkHandcuffedC.class, i++, Side.CLIENT);
        network.registerMessage(NetworkDeleteItemC.MyMessageHandlerC.class, NetworkDeleteItemC.class, i++, Side.CLIENT);
        network.registerMessage(NetworkJailManagerC.MyMessageHandlerC.class, NetworkJailManagerC.class, i++, Side.CLIENT);

        // Client to Server
        network.registerMessage(NetworkJailManager.MyMessageHandler.class, NetworkJailManager.class, i++, Side.SERVER);
        network.registerMessage(NetworkKeyManage.MyMessageHandler.class, NetworkKeyManage.class, i++, Side.SERVER);

    }

    public void init(FMLInitializationEvent $e) {
        
    }

    public void postInit(FMLPostInitializationEvent $e) {

    }

    public void registerRender() {}

}


